## edu.stanford.nlp.trees
Class GrammaticalStructureFactory

    java.lang.Object
      edu.stanford.nlp.trees.GrammaticalStructureFactory

    public class GrammaticalStructureFactory

extends Object

A general factory for `GrammaticalStructure` objects. Uses reflection to create objects of any subclass of `GrammaticalStructure`.

Author:
  Galen Andrew

Constructor Summary
`GrammaticalStructureFactory(String name)` Make a new GrammaticalStructureFactory that dispenses `GrammaticalStructure` objects of the given specific type
`GrammaticalStructureFactory(String name, Filter<String> puncFilter)` Make a new GrammaticalStructureFactory that dispenses `GrammaticalStructure` objects of the given specific type
`GrammaticalStructureFactory(String name, Filter<String> puncFilter, HeadFinder hf)`

Method Summary
`GrammaticalStructure` `newGrammaticalStructure(Tree t)` Vend a new `GrammaticalStructure` based on the given `Tree`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrammaticalStructureFactory

    public GrammaticalStructureFactory(String name)

  Make a new GrammaticalStructureFactory that dispenses `GrammaticalStructure` objects of the given specific type

  Parameters:
    `name` - the fully qualified name of a subclass of GrammaticalStructure

### GrammaticalStructureFactory

    public GrammaticalStructureFactory(String name,
                                       Filter<String> puncFilter)

  Make a new GrammaticalStructureFactory that dispenses `GrammaticalStructure` objects of the given specific type

  Parameters:
    `name` - the fully qualified name of a subclass of GrammaticalStructure
    `puncFilter` - A filter that returns false on punctuation words

### GrammaticalStructureFactory

    public GrammaticalStructureFactory(String name,
                                       Filter<String> puncFilter,
                                       HeadFinder hf)

Method Detail

### newGrammaticalStructure

    public GrammaticalStructure newGrammaticalStructure(Tree t)

  Vend a new `GrammaticalStructure` based on the given `Tree`.

  Parameters:
    `t` - the tree to analyze
  Returns:
    a GrammaticalStructure based on the tree

Stanford NLP Group